Create Oasis Withdrawal Order¶
Create a withdrawal order from Oasis balance account to an external address
This endpoint supports the transfer of funds from an Oasis balance account to an external address (outside of Oasis).
Endpoint¶
Request Parameters¶
Body Parameters¶
| Field | Type | Description |
|---|---|---|
| orderNo Required | String | Order ID to uniquely identify the transaction. Max length 64 characters (custom order number, supports uppercase/lowercase letters, numbers, underscores, dashes) |
| accountId Required | String | Account ID |
| destTokenName Required | String | Transfer-out currency name. Only Oasis supported tokens are allowed. Allowed Value: Refer to the Coin Name (API) column for tokens where Oasis Account is set to Yes in the Supported Token list. |
| amount Required | String | Amount that user wish to withdraw. |
| memo Required | String | Memo, aka tag/comment. Required for currencies that support memo. |
| destAddress Required | String | Destination address |
| description Optional | String | Order description (max 50 characters) |
| remark Optional | String | Destination address remarks. (max 50 characters) |
Request Example¶
{
"orderNo" : "TX_00001",
"description": "balance account withdraw",
"amount": "100.123456",
"remark": "address remark",
"accountId": "100002",
"destTokenName": "USDTTRC",
"destAddress": "TCR1AqfrBEhaTCkxxHg783BRHFBvmmLFGd"
}
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code |
| message | String | Response message |
| successful | Boolean | If the request is successful |
| data | String | Order number as declared in the request parameter |